/*
 Navicat Premium Data Transfer

 Source Server         : csz
 Source Server Type    : MySQL
 Source Server Version : 80035
 Source Host           : localhost:3306
 Source Schema         : project2

 Target Server Type    : MySQL
 Target Server Version : 80035
 File Encoding         : 65001

 Date: 08/01/2025 16:17:38
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for dev_alarm
-- ----------------------------
DROP TABLE IF EXISTS `dev_alarm`;
CREATE TABLE `dev_alarm`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '主键，自增',
  `flag` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '与cmd=cache一起上传的flag，用于区分不同指令时间',
  `count` int NOT NULL COMMENT '本次上传包含多少条data记录',
  `status_raw` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '原始的status=xxx 字段值，便于调试或溯源',
  `version` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '设备固件版本号（如1.1）',
  `device_sn` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '解析得到的设备SN（如5251AE42）',
  `ir_battery` int NULL DEFAULT NULL COMMENT '红外发射器剩余电量百分比(0~100)',
  `main_battery` int NULL DEFAULT NULL COMMENT '计数器剩余电量百分比(0~100)',
  `is_focus_lost` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0' COMMENT '0正常,1失焦',
  `created_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '记录创建时间',
  `updated_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '记录更新时间',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '0' COMMENT '逻辑删除（0：正常；1：删除；2：未发布）',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = 'HPC015S缓存数据上传-主表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of dev_alarm
-- ----------------------------
INSERT INTO `dev_alarm` VALUES (22, '1F38', 10, '030C76CAF6800163005A00016BB9', '3.12', '76CAF680', 99, 90, '1', '2025-01-06 15:32:13', '2025-01-06 15:32:13', NULL, '2025-01-06 15:32:13', NULL, '2025-01-06 15:32:13', '0', NULL);
INSERT INTO `dev_alarm` VALUES (23, '200C', 10, '030C76CAF6800163005A00016BB9', '3.12', '76CAF680', 99, 90, '1', '2025-01-06 15:32:14', '2025-01-06 15:32:14', NULL, '2025-01-06 15:32:15', NULL, '2025-01-06 15:32:15', '0', NULL);
INSERT INTO `dev_alarm` VALUES (24, '2F14', 1, '030C76CAF6800063005A0001BAB8', '3.12', '76CAF680', 99, 90, '0', '2025-01-06 15:47:29', '2025-01-06 15:47:29', NULL, '2025-01-06 15:47:30', NULL, '2025-01-06 15:47:30', '0', NULL);
INSERT INTO `dev_alarm` VALUES (25, '2F1B', 4, '030C76CAF6800063005A0001BAB8', '3.12', '76CAF680', 99, 90, '0', '2025-01-06 15:47:30', '2025-01-06 15:47:30', NULL, '2025-01-06 15:47:31', NULL, '2025-01-06 15:47:31', '0', NULL);
INSERT INTO `dev_alarm` VALUES (26, '3126', 1, '030C76CAF6800163005A00016BB9', '3.12', '76CAF680', 99, 90, '1', '2025-01-06 15:49:47', '2025-01-06 15:49:47', NULL, '2025-01-06 15:49:48', NULL, '2025-01-06 15:49:48', '0', NULL);
INSERT INTO `dev_alarm` VALUES (27, '142D', 1, '030C76CAF6800163005A00016BB9', '3.12', '76CAF680', 99, 90, '1', '2025-01-06 16:20:55', '2025-01-06 16:20:55', NULL, '2025-01-06 16:20:56', NULL, '2025-01-06 16:20:56', '0', NULL);
INSERT INTO `dev_alarm` VALUES (28, '3335', 1, '030C76CAF6800163005A00016BB9', '3.12', '76CAF680', 99, 90, '1', '2025-01-06 16:52:06', '2025-01-06 16:52:06', NULL, '2025-01-06 16:52:06', NULL, '2025-01-06 16:52:06', '0', NULL);
INSERT INTO `dev_alarm` VALUES (29, '1702', 1, '030C76CAF6800163005A00016BB9', '3.12', '76CAF680', 99, 90, '1', '2025-01-06 17:23:11', '2025-01-06 17:23:11', NULL, '2025-01-06 17:23:12', NULL, '2025-01-06 17:23:12', '0', NULL);

SET FOREIGN_KEY_CHECKS = 1;
