/*
 Navicat Premium Data Transfer

 Source Server         : csz
 Source Server Type    : MySQL
 Source Server Version : 80035
 Source Host           : localhost:3306
 Source Schema         : project2

 Target Server Type    : MySQL
 Target Server Version : 80035
 File Encoding         : 65001

 Date: 08/01/2025 16:17:33
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for dev_flow
-- ----------------------------
DROP TABLE IF EXISTS `dev_flow`;
CREATE TABLE `dev_flow`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `data_time` datetime NOT NULL COMMENT '数据时间',
  `in_count` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '进增量(dxIN)',
  `out_count` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '出增量(dxOUT)',
  `device_sn` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备序列号',
  `crc16_raw` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'data中的CRC16(可选)',
  `created_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '记录创建时间',
  `updated_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '记录更新时间',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '0' COMMENT '逻辑删除（0：正常；1：删除；2：未发布）',
  `flag` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '1' COMMENT '状态（0：停用；1：启用）',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 434 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = 'HPC015S缓存数据上传-客流数据明细' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of dev_flow
-- ----------------------------
INSERT INTO `dev_flow` VALUES (421, '2025-01-06 15:23:45', '0', '1', '76CAF680', NULL, '2025-01-06 15:32:14', '2025-01-06 15:32:14', NULL, '2025-01-06 15:32:15', NULL, '2025-01-06 15:32:15', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (422, '2025-01-06 15:23:50', '1', '0', '76CAF680', NULL, '2025-01-06 15:32:14', '2025-01-06 15:32:14', NULL, '2025-01-06 15:32:15', NULL, '2025-01-06 15:32:15', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (423, '2025-01-06 15:23:53', '1', '0', '76CAF680', NULL, '2025-01-06 15:32:14', '2025-01-06 15:32:14', NULL, '2025-01-06 15:32:15', NULL, '2025-01-06 15:32:15', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (424, '2025-01-06 15:26:59', '0', '0', '76CAF680', NULL, '2025-01-06 15:32:14', '2025-01-06 15:32:14', NULL, '2025-01-06 15:32:15', NULL, '2025-01-06 15:32:15', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (425, '2025-01-06 15:47:20', '0', '0', '76CAF680', NULL, '2025-01-06 15:47:29', '2025-01-06 15:47:29', NULL, '2025-01-06 15:47:30', NULL, '2025-01-06 15:47:30', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (426, '2025-01-06 15:47:22', '0', '1', '76CAF680', NULL, '2025-01-06 15:47:30', '2025-01-06 15:47:30', NULL, '2025-01-06 15:47:31', NULL, '2025-01-06 15:47:31', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (427, '2025-01-06 15:47:23', '0', '1', '76CAF680', NULL, '2025-01-06 15:47:30', '2025-01-06 15:47:30', NULL, '2025-01-06 15:47:31', NULL, '2025-01-06 15:47:31', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (428, '2025-01-06 15:47:26', '1', '0', '76CAF680', NULL, '2025-01-06 15:47:30', '2025-01-06 15:47:30', NULL, '2025-01-06 15:47:31', NULL, '2025-01-06 15:47:31', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (429, '2025-01-06 15:47:27', '0', '1', '76CAF680', NULL, '2025-01-06 15:47:30', '2025-01-06 15:47:30', NULL, '2025-01-06 15:47:31', NULL, '2025-01-06 15:47:31', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (430, '2025-01-06 15:49:38', '0', '0', '76CAF680', NULL, '2025-01-06 15:49:47', '2025-01-06 15:49:47', NULL, '2025-01-06 15:49:48', NULL, '2025-01-06 15:49:48', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (431, '2025-01-06 16:20:45', '0', '0', '76CAF680', NULL, '2025-01-06 16:20:55', '2025-01-06 16:20:55', NULL, '2025-01-06 16:20:56', NULL, '2025-01-06 16:20:56', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (432, '2025-01-06 16:51:53', '0', '0', '76CAF680', NULL, '2025-01-06 16:52:06', '2025-01-06 16:52:06', NULL, '2025-01-06 16:52:06', NULL, '2025-01-06 16:52:06', '0', NULL, NULL);
INSERT INTO `dev_flow` VALUES (433, '2025-01-06 17:23:02', '0', '0', '76CAF680', NULL, '2025-01-06 17:23:11', '2025-01-06 17:23:11', NULL, '2025-01-06 17:23:12', NULL, '2025-01-06 17:23:12', '0', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
