/*
 Navicat Premium Data Transfer

 Source Server         : csz
 Source Server Type    : MySQL
 Source Server Version : 80035
 Source Host           : localhost:3306
 Source Schema         : project2

 Target Server Type    : MySQL
 Target Server Version : 80035
 File Encoding         : 65001

 Date: 08/01/2025 16:17:27
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for dev_setting
-- ----------------------------
DROP TABLE IF EXISTS `dev_setting`;
CREATE TABLE `dev_setting`  (
  `business_id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `sn` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备序列号未反转前',
  `device_sn` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备序列号（如 5251AE42）',
  `cmd_type` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '请求命令类型0不包含校验时间与营业时间, 1包含校验系统时间,2包含校验营业时间,3包含校验系统时间与营业时间,不包含只是不做处理字段仍然存在',
  `detect_speed` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '探测速度:0低速, 1高速',
  `record_period_min` int NOT NULL COMMENT '记录周期(范围 0x00	--0xff即0-255 分钟)0表示实时记录',
  `upload_period_min` int NOT NULL COMMENT '上传周期(范围 0x00	--0xff即0-255 分钟)0表示实时上传',
  `specify_upload_time` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '指定上传时间(如0表示未使用)',
  `run_mode` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '运行模式: 0在线, 1离线 等',
  `display_mode` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '显示方式: 0不显示, 1显示总数, 2显示双向',
  `device_time` datetime NULL DEFAULT NULL COMMENT '设备当前时间 年月日时分秒',
  `day_of_week` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '星期几或周数(如1表示周一)',
  `count_start_time` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '计数开始时间 mmdd',
  `count_stop_time` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '计数结束时间 mmdd',
  `crc16` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'CRC16 校验值(如4BBA)',
  `created_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '记录创建时间',
  `updated_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '记录更新时间',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '0' COMMENT '逻辑删除（0：正常；1：删除；2：未发布）',
  `flag` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '1' COMMENT '状态（0：停用；1：启用）',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '设备配置信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of dev_setting
-- ----------------------------
INSERT INTO `dev_setting` VALUES (1, '76CAF680', '80F6CA76', '3', '1', 0, 0, '0', '0', '2', '2024-12-01 08:30:00', '1', '08:00', '23:59', '4BBA', '2024-12-31 15:40:02', '2025-01-06 13:31:08', 'admin', '2024-12-01 08:30:00', 'admin', '2024-12-01 08:30:00', '0', '1', NULL);

SET FOREIGN_KEY_CHECKS = 1;
